program HiTrack;

/////////////////////////////////////////////////////////////////////
//
// Hi-Track Version 2
// Copyright (c) 2000-2002 Dmitry Liman [2:461/79]
//
// http://hi-files.by.ru
// http://hi-files.narod.ru
//
/////////////////////////////////////////////////////////////////////

uses
{$IFDEF VIRTUALPASCAL}
  VpUtils,
  {$IFDEF HEAP_CHECK}
  HeapChk,
  {$ENDIF}
{$ENDIF}
{$IFDEF FPC}
  {$IFDEF HEAP_CHECK}
  HeapTrc,
  {$ENDIF}
{$ENDIF}
  _Config, _Busy, SysUtils;

{$IFDEF VIRTUALPASCAL}
var
  Mem: Longint;
{$ENDIF}

begin
{$IFDEF VIRTUALPASCAL}
  Mem := MemUsed;
{$ENDIF}
  Randomize;

  Writeln( ^M^J#254' ' + PID + ' ' + COPYRIGHT + ^M^J );

  if SetBusyFlag( ChangeFileExt(ParamStr(0), '.bsy') ) then
  begin
    Cfg.Init;

    if Cfg.Load then
      Cfg.Run
    else
      Writeln( '! Configuration failed, aborting...' );

    Cfg.Done;
    DropBusyFlag( ChangeFileExt(ParamStr(0), '.bsy') );
  end;

{$IFDEF VIRTUALPASCAL}
  Writeln( ^M^J#254' Done, memory leak = ', MemUsed - Mem );
{$ELSE}
  Writeln( ^M^J#254' Done' );
{$ENDIF}
end.

